> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.ListAdvertisersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#try-it)

Lists advertisers that are accessible to the current user.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.QUERY_PARAMETERS.order_by` parameter.

A single `https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.QUERY_PARAMETERS.partner_id` is required. Cross-partner listing is not supported.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the partner that the fetched advertisers should all belong to. The system only supports listing advertisers for one partner at a time. |
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.ListAdvertisersResponse.FIELDS.next_page_token` returned from the previous call to `advertisers.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `advertiserId` (default) - `displayName` - `entityStatus` - `updateTime` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. For example, `displayName desc`. |
| `filter` | `string` Allows filtering by advertiser fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. - A restriction has the form of `{field} {operator} {value}`. - The `updateTime` field must use the `GREATER THAN OR EQUAL TO (>=)` or `LESS THAN OR EQUAL TO (<=)` operators. - All other fields must use the `EQUALS (=)` operator. Supported fields: - `advertiserId` - `displayName` - `entityStatus` - `updateTime` (input in ISO 8601 format, or `YYYY-MM-DDTHH:MM:SSZ`) Examples: - All active advertisers under a partner: `entityStatus="ENTITY_STATUS_ACTIVE"` - All advertisers with an update time less than or equal to 2020-11-04T18:54:47Z (format of ISO 8601): `updateTime<="2020-11-04T18:54:47Z"` - All advertisers with an update time greater than or equal to 2020-11-04T18:54:47Z (format of ISO 8601): `updateTime>="2020-11-04T18:54:47Z"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "advertisers": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers#Advertiser`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `advertisers[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers#Advertiser`)`` The list of advertisers. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v5/advertisers/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `advertisers.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).